The Inventory Dimension object
Attributes
Unique identifier for the object.
ISO 8601 timestamp of when the object was created.
ISO 8601 timestamp of when the object was last updated.
Default: false
Default: true
Default: false
Default: false
{
"id": "inventory-dimension_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"reference_document": "reference_document_example",
"dimension_name": "dimension_name_example",
"document_type": "document_type_example",
"istable": false,
"condition": "condition_example",
"apply_to_all_doctypes": true,
"target_fieldname": "target_fieldname_example",
"source_fieldname": "source_fieldname_example",
"type_of_transaction": "type_of_transaction_example",
"fetch_from_parent": "fetch_from_parent_example",
"mandatory_depends_on": "mandatory_depends_on_example",
"reqd": false,
"validate_negative_stock": false
} /api/stock/inventory-dimension/{id} Retrieve a inventory dimension
Retrieves the details of an existing inventory dimension. Supply the unique inventory dimension ID that was returned from a previous request.
Path parameters
The identifier of the inventory dimension to retrieve.
Returns
Returns the inventory dimension object if a valid identifier was provided.
curl https://api.overplane.dev/api/stock/inventory-dimension/inventory-dimension_abc123 \
-H "Authorization: Bearer sk_test_..." {
"id": "inventory-dimension_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"reference_document": "reference_document_example",
"dimension_name": "dimension_name_example",
"document_type": "document_type_example",
"istable": false,
"condition": "condition_example",
"apply_to_all_doctypes": true,
"target_fieldname": "target_fieldname_example",
"source_fieldname": "source_fieldname_example",
"type_of_transaction": "type_of_transaction_example",
"fetch_from_parent": "fetch_from_parent_example",
"mandatory_depends_on": "mandatory_depends_on_example",
"reqd": false,
"validate_negative_stock": false
} /api/stock/inventory-dimension List all inventory dimensions
Returns a list of inventory dimensions. The results are sorted by creation date, with the most recently created appearing first.
Query parameters
Maximum number of objects to return. Default: 20.
Number of objects to skip for pagination. Default: 0.
Returns
A paginated list of inventory dimension objects.
curl https://api.overplane.dev/api/stock/inventory-dimension \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "inventory-dimension_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"reference_document": "reference_document_example",
"dimension_name": "dimension_name_example",
"document_type": "document_type_example",
"istable": false,
"condition": "condition_example",
"apply_to_all_doctypes": true,
"target_fieldname": "target_fieldname_example",
"source_fieldname": "source_fieldname_example",
"type_of_transaction": "type_of_transaction_example",
"fetch_from_parent": "fetch_from_parent_example",
"mandatory_depends_on": "mandatory_depends_on_example",
"reqd": false,
"validate_negative_stock": false
}
],
"has_more": false,
"total": 1
} /api/stock/inventory-dimension Create a inventory dimension
Creates a new inventory dimension object.
Body parameters
Default: false
Default: true
Default: false
Default: false
Returns
Returns the newly created inventory dimension object if the call succeeded.
curl https://api.overplane.dev/api/stock/inventory-dimension \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"reference_document":"reference_document_example","dimension_name":"dimension_name_example"}' {
"id": "inventory-dimension_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"reference_document": "reference_document_example",
"dimension_name": "dimension_name_example",
"document_type": "document_type_example",
"istable": false,
"condition": "condition_example",
"apply_to_all_doctypes": true,
"target_fieldname": "target_fieldname_example",
"source_fieldname": "source_fieldname_example",
"type_of_transaction": "type_of_transaction_example",
"fetch_from_parent": "fetch_from_parent_example",
"mandatory_depends_on": "mandatory_depends_on_example",
"reqd": false,
"validate_negative_stock": false
} /api/stock/inventory-dimension/{id} Update a inventory dimension
Updates the specified inventory dimension by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the inventory dimension to update.
Body parameters
Default: false
Default: true
Default: false
Default: false
Returns
Returns the updated inventory dimension object.
curl https://api.overplane.dev/api/stock/inventory-dimension/inventory-dimension_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"reference_document":"reference_document_example","dimension_name":"dimension_name_example"}' {
"id": "inventory-dimension_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"reference_document": "reference_document_example",
"dimension_name": "dimension_name_example",
"document_type": "document_type_example",
"istable": false,
"condition": "condition_example",
"apply_to_all_doctypes": true,
"target_fieldname": "target_fieldname_example",
"source_fieldname": "source_fieldname_example",
"type_of_transaction": "type_of_transaction_example",
"fetch_from_parent": "fetch_from_parent_example",
"mandatory_depends_on": "mandatory_depends_on_example",
"reqd": false,
"validate_negative_stock": false
} /api/stock/inventory-dimension/{id} Delete a inventory dimension
Permanently deletes a inventory dimension. This cannot be undone.
Path parameters
The identifier of the inventory dimension to delete.
Returns
Returns a confirmation that the inventory dimension has been deleted.
curl https://api.overplane.dev/api/stock/inventory-dimension/inventory-dimension_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "inventory-dimension_abc123",
"deleted": true
}